#![no_std]

extern crate alloc;

#[macro_use]
extern crate serde;
extern crate peek_nth;

mod input;
mod line;
mod lines;
mod read;
mod reader;
mod reader_result;
mod readers;
mod readers_builder;
mod state;
mod token;
mod token_error;
mod token_meta;

pub use self::input::Input;
pub use self::line::Line;
pub use self::lines::Lines;
pub use self::read::read;
pub use self::reader::Reader;
pub use self::reader_result::ReaderResult;
pub use self::readers::Readers;
pub use self::readers_builder::ReadersBuilder;
pub use self::state::State;
pub use self::token::Token;
pub use self::token_error::TokenError;
pub use self::token_meta::TokenMeta;
